<?
set_time_limit(0);
require("../../conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$query="select p.doce_UUID, p.uuidCFDIRelacionado, p.Monto, p.NumParcialidad, p.MetodoDePago, p.Moneda, p.TipoCambio
from doce d inner join pago_documentos_ref p on d.adicionalA = p.doce_UUID where d.fecha >= '2017-12-03T00:00:00' and d.fecha <= '2017-12-03T23:59:59'";

if($rQuery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_num_rows($rQuery) > 0){
		$errores_no=0;
		$errores="";
		$arrUUID = array();
		$con=0;
		while($tmp = mysqli_fetch_assoc($rQuery)){
			//if(!in_array($tmp["uuid"],$arrUUID)){
				//$arrUUID[]=$tmp["uuid"];
				// if($tmp["uuid"] == "4B048603-FC2D-4426-8C2D-4F94481B5A58"){

					$qry = "call SP_Inserta_DoceUUID_recibedoce_pagos_docto_relacionado('".$tmp["doce_UUID"]."','".$tmp["uuidCFDIRelacionado"]."','".$tmp["NumParcialidad"]."','".$tmp["Monto"]."')";
					if($res = mysqli_query($conexion->CONEXION,$qry)){
						$tRes = mysqli_fetch_assoc($res);
						if($tRes['registrosAfectados'] == -1){
								writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO",$tmp["uuidCFDIRelacionado"]." UUID ya relacionado",0,1);
						}else if($tRes['registrosAfectados'] == 0){
								writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO",$tmp["uuidCFDIRelacionado"]." No se afectaron registros",0,1);
						}else{
								writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO",$tmp["uuidCFDIRelacionado"]." actualizado",0,1);
						}
					}else{
						$errores_no++;
						// $errores.=mysqli_error($conexion->CONEXION)."<br/>";
						writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO",$tmp["uuidCFDIRelacionado"]." Error: ".mysqli_error($conexion->CONEXION),1,0);
					}
					mysqli_next_result($conexion->CONEXION);
					// $con++;
					// if($con == 4){
						// exit;
					// }
				// }
			//}
		}
		echo "No. Errores: ".$errores_no."<br/>";
		// echo "Mensajes de Error: ".$errores;
		// var_dump($arrUUID);
	}else{
		writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO","No se encontraron registros.",0,1);
	}
}else{
	writeLog("U_DoceUUID_recibedoce_pagos_docto_relacionado_TODO"," Error: ".mysqli_error($conexion->CONEXION),1,0);
}
function writeLog($nombreArchivo, $mensaje, $log, $debug){
	$logArchivo = $nombreArchivo."_".date("Ymd").".log";
	$debugArchivo = $nombreArchivo."_".date("Ymd").".debug";
	if($log == 1){
		if(file_exists($logArchivo)){$fp = fopen($logArchivo,"a+");}else{$fp = fopen($logArchivo,"w+");}
		$fecha = date("Y-m-d H:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
	if($debug == 1){
		if(file_exists($debugArchivo)){$fp = fopen($debugArchivo,"a+");}else{$fp = fopen($debugArchivo,"w+");}
		$fecha = date("Y-m-d H:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
}
?>
